6 comments
Comment actions Permalink

That project cannot be compiled even from a command line (because of unresolved dependencies).

The perceived problem is probably caused by incorrect interpretation of SBT error messages, we've created an issue (SCL-8339) for that.

Thank you for the reporting!

0
Comment actions Permalink

Locally I don't have package dependency problems, because I `publishLocal` them.
( I have to compile manually because scala-js is still so new that not all of them
have been published, but we'll get there soon )

Still there used to be a bug in the compilation which I have fixed with a commit.
But I still get exactly the same problem.

Here I was able to have IDEA submit a bug report
https://ea.jetbrains.com/browser/ea_reports/786586

0
Comment actions Permalink

workaroudn is to use IntelliJ 14.0.3 with latest scala plugin

0
Comment actions Permalink

In which EAP it's not working and in which release it works?

Best regards,
Alexander Podkhalyuzin.

0
Comment actions Permalink

IT was not working in the EAP 14.1 version that was released at the time.

0
Comment actions Permalink

I see, thank you for clarification. Just 1.3.3-14.1 was released with delay, so that's why it required you to downgrade to IDEA 14.0.3.

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.